package de.mrbesen.telegram.event.events;

import de.mrbesen.telegram.objects.JSONBased;
import de.mrbesen.telegram.objects.TDocument;
import de.mrbesen.telegram.objects.TMessage;
import lombok.Getter;

public class UserSendDocumentEvent extends MessageEvent {

	@Getter
	private TDocument document;

	public UserSendDocumentEvent(TMessage msg) {
		super(msg);
		document = new TDocument(msg.get(JSONBased.Member.document));
	}
}
