package de.mrbesen.telegram.event.events;

import lombok.Getter;
import org.json.JSONObject;

import de.mrbesen.telegram.event.Event;
import de.mrbesen.telegram.objects.TMessage;
import de.mrbesen.telegram.objects.TUser;

public class UserCallbackEvent extends MessageEvent {

	@Getter
	private final String data;
	@Getter
	private final String ID;
	@Getter
	private final TUser user;
	
	public UserCallbackEvent(TUser u, String data, String id, TMessage msg) {
		super(msg);
		user = u;
		this.data = data;
		this.ID = id;
	}

	public JSONObject asJSON() {
		return new JSONObject(data);
	}

}
