package de.mrbesen.telegram.objects;

import lombok.Getter;
import org.json.JSONObject;

public class TFile extends TSendable {

	@Getter
	private final String filePath;

	public TFile(JSONObject json) {
		super(json);
		allowedmembers = new Member[] {Member.file_size, Member.file_path, Member.file_id, Member.file_unique_id};

		if(has(Member.file_path))
			filePath = get(Member.file_path);
		else
			filePath = null;
	}

}
